hostname blackwing.hawo.stw.uni-erlangen.de
password unknown
password notimportant
log file /var/log/quagga/bgpd.log
!
router bgp 65065
 bgp router-id 192.168.65.1
 network 192.168.65.0/24
 !
 neighbor 192.168.42.1 remote-as 65042
 neighbor 192.168.42.1 description Horst
 neighbor 192.168.42.1 interface tun1
 neighbor 192.168.42.1 soft-reconfiguration inbound
 ! accept any prefixes
 neighbor 192.168.42.1 prefix-list anynet in
 ! advertise any (transit)
 neighbor 192.168.42.1 prefix-list transitnet out
 ! advertise only own net (peering)
 !neigbor 192.168.42.1 prefix-list ournet out
!
ip prefix-list anynet description erVPN
ip prefix-list anynet seq 1 deny 192.168.65.0 eq 24 ! do not accept our own net
ip prefix-list anynet seq 10 accept 192.168.0.0/16 ge 24 ! only >=/24
ip prefix-list anynet seq 999 deny 0.0.0.0/0 le 32 ! nothing else
!
ip prefix-list transitnet description transitnets
ip prefix-list transitnet seq 10 accept 192.168.0.0/16 ge 24 ! only >=/24
ip prefix-list transitnet seq 999 deny 0.0.0.0/0 le 32 ! nothing else
!
ip prefix-list ournet description own network
ip prefix-list ournet seq 1 accept 192.168.65.0 eq 24 
ip prefix-list ournet seq 999 deny 0.0.0.0/0 le 32 ! nothing else
!
line vty
